services:
  advert_gift.order_filter:
    parent: 'api_platform.doctrine.orm.order_filter'
    arguments:
      $properties: { id: ~, createdAt: ~, updatedAt: ~,advertQuantity: ~, broadcastDuration: ~, review: ~, quantityUsed: ~ }
      $orderParameterName: order
    tags: [ 'api_platform.filter' ]

  advert_gift.search_filter:
    parent: 'api_platform.doctrine.orm.search_filter'
    arguments: [ { id: 'exact', advertQuantity: 'exact', broadcastDuration: 'exact' , quantityUsed: 'exact', 'customer.id': 'exact' } ]
    tags:  [ 'api_platform.filter' ]

  advert_gift.boolean_filter:
    parent: 'api_platform.doctrine.orm.boolean_filter'
    arguments: [ { review: ~ } ]
    tags: [ 'api_platform.filter' ]